﻿namespace BinarySearch.Algorithm;

/// <summary>
/// Класс-Параметр
/// </summary>
public class SearchParameters
{
    public List<int>? Array { get; }
    public int Target { get; }

    /// <summary>
    /// Конструктор класса-параметра
    /// </summary>
    public SearchParameters()
    {
        Array = new List<int>();
        Target = 0;
    }

    /// <summary>
    /// Конструктор класса-параметра с параметрами
    /// </summary>
    /// <param name="array"></param>
    /// <param name="target"></param>
    public SearchParameters(List<int>? array, int target)
    {
        Array = array;
        if (Array != null)
        {
            Array.Sort();
        }
        Target = target;
    }
}
