﻿using BinarySearch.Algorithm;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace BinarySearch.Forms;

public partial class AddForm : Form
{
    public delegate void AddNumberDelegate(int number);
    public event AddNumberDelegate AddNumberEvent;
    public AddForm()
    {
        InitializeComponent();
    }

    private void buttonAdd_Click(object sender, EventArgs e)
    {
        // Получаем значение из numericUpDownNumber
        int number = (int)numericUpDownNumber.Value;

        // Вызываем событие и передаем значение в главную форму
        AddNumberEvent?.Invoke(number);

        // Закрываем текущую форму
        this.Close();
    }
}
